#pragma once

typedef struct Node {
	struct Node* next, * prev;
	void* data;
} Node;

void list_print(Node* head, void (*print_func)(void*));

void list_push(Node** head, void* data);

void list_append(Node** head, void* data);

void list_insert(Node* prev_node, void* data);

Node* list_get(Node* head, unsigned index);

void list_remove(Node* node);